BopbeeHelp Center

Deployments

List, trigger, and inspect project deployments.

GET
/v1/projects/{project_id}/deployments

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Path Parameters

project_id*Project Id

Query Parameters

limit?Limit
Range1 <= value <= 100
Default50

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/deployments"
{  "deployments": [    {      "id": "string",      "project_id": "string",      "environment_id": "string",      "status": "string",      "conclusion": "string",      "upload_version": 0,      "url": "string",      "created_at": "2019-08-24T14:15:22Z",      "concluded_at": "2019-08-24T14:15:22Z",      "request_id": "string"    }  ],  "request_id": "string"}
POST
/v1/projects/{project_id}/deployments

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Path Parameters

project_id*Project Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/deployments" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "project_id": "string",  "environment_id": "string",  "status": "string",  "conclusion": "string",  "upload_version": 0,  "url": "string",  "created_at": "2019-08-24T14:15:22Z",  "concluded_at": "2019-08-24T14:15:22Z",  "request_id": "string"}
GET
/v1/projects/{project_id}/deployments/{deployment_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Path Parameters

project_id*Project Id
deployment_id*Deployment Id

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/deployments/string"
{  "id": "string",  "project_id": "string",  "environment_id": "string",  "status": "string",  "conclusion": "string",  "upload_version": 0,  "url": "string",  "created_at": "2019-08-24T14:15:22Z",  "concluded_at": "2019-08-24T14:15:22Z",  "request_id": "string"}